package senders

import (
	"penahub.gitlab.yandexcloud.net/pena-services/email-tester/client"
	"penahub.gitlab.yandexcloud.net/pena-services/email-tester/model"
)

func ReminderTesting(config model.Config) error {
	smtpClient := client.NewSmtpClient(client.Deps{
		SmtpApiUrl: config.ApiURL,
		SmtpSender: config.Sender,
		ApiKey:     config.ApiKey,
	})

	templateData, err := parseTemplateData(config.PathToTemplateData)
	if err != nil {
		return err
	}

	body, err := loadTemplate(config.PathToReminderTemplate)
	if err != nil {
		return err
	}

	err = smtpClient.SendMailWithAttachment(config.To, config.Subject, body, templateData, nil)
	if err != nil {
		return err
	}
	return nil
}
