package transfer

import (
	"context"
	"gitea.pena/PenaSide/common/mongo"
	"gitea.pena/PenaSide/hlog"
	"github.com/stretchr/testify/assert"
	"testing"
	"time"
)

func TestCodeword_ActivatedEvents(t *testing.T) {
	ctx, cancel := context.WithCancel(context.Background())
	defer cancel()

	logger := hlog.New(nil)

	mdb, err := mongo.Connect(ctx, &mongo.ConnectDeps{
		Configuration: &mongo.Configuration{
			URL:          "mongodb://test:test@localhost:27020/",
			DatabaseName: "admin",
		},
		Timeout: 10 * time.Second,
	})
	assert.NoError(t, err)

	c := NewCodeword(logger, mdb)

	err = c.ActivatedEvents(ctx)
	assert.NoError(t, err)
}
